Bug 729506 - pata_jmicron IDE device fails to init when IOMMU enabled
Summary: pata_jmicron IDE device fails to init when IOMMU enabled
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 00:17 UTC by John
Modified: 2012-06-07 11:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 11:35:08 UTC


Attachments (Terms of Use)

Description John 2011-08-10 00:17:34 UTC
Description of problem:
DVD's attached via pata_jmicron IDE generate a AMD-vi IO page fault and are not usable when IOMMU is seleted in BIOS.

Version-Release number of selected component (if applicable):
2.6.40-4.fc15.x86_64, ASUS M4A89TD Pro, AMI BIOS v2001, AMD Phenom II X6 1100T

How reproducible:
always on this config

Steps to Reproduce:
1.Enable IOMMU in BIOS
2.Boot F15 2.6.40-4.fc15.x86_64
3.
  
Actual results:
1. kernel log shows successful IOMMU init
2. kernel log shows pata_jmicron init causes AMD-vi IO page fault
3. DVDs are not usable ( can't read data cd/dvd can' burn DVD )
 
Expected results:
1. kernel log shows successful IOMMU init
2. kernel log shows successful pata_jmicron init
3. DVDs are fully functional

Additional info:
Disabling the IOMMU in BIOS and rebooting with no other changes results in successful init of pata_jmicron and fully functional DVDs. ( kernel reverts to GART IOMMU method)

Comment 1 Josh Boyer 2012-06-06 17:18:51 UTC
The IOMMUs have been kind of a mess for a while.  Are you still seeing this with 2.6.43/3.3?

Comment 2 Josh Boyer 2012-06-07 11:35:08 UTC
Received an email from the reporter saying things appear to function correctly in F17.


Note You need to log in before you can comment on or make changes to this bug.